Subject: Re: [PATCH] Documentation: extend guidance for submitting patches

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 05 Mar 2026 23:27:28 +0100

On Thu, Mar 5, 2026, at 20:38, Justin Tobler wrote:
> Before submitting patches on the mailing list, it is often a good idea
> to check for previous related discussions or if similar work is already
> in progress. This enables better coordination amongst contributors and
> could avoid duplicating work.
>
> Additionally, it is often recommended to give reviewers some time to
> reply to a patch series before sending new versions. This helps collect
> broader feedback and reduces unnecessary churn from rapid rerolls.
>
> Document this guidance in "Documentation/SubmittingPatches" accordingly.
>
> Signed-off-by: Justin Tobler <[email-masked]>
> ---
>  Documentation/SubmittingPatches | 13 +++++++++++++
>  1 file changed, 13 insertions(+)
>
> diff --git a/Documentation/SubmittingPatches
> b/Documentation/SubmittingPatches
> index e270ccbe85..5acd692ad7 100644
> --- a/Documentation/SubmittingPatches
> +++ b/Documentation/SubmittingPatches
> @@ -38,10 +38,23 @@ they have no obligation to help you (i.e. you ask
> them for help,
>  you don't demand).  +git log -p {litdd} _$area_you_are_modifying_+
> would
>  help you find out who they are.
>
> +It is also a good idea to check whether your topic has been discussed
> +previously on the mailing list,

This is at the start of the document. “The mailing list” footnote
(git-ml) does not get mentioned until line 535.

Although there is the initial mention of `MyFirstContribution` which
prominently features the address at the start.

> or whether similar work is already in
> +progress.  Prior discussions may contain useful context, design
> +considerations, or earlier attempts at solving the same problem. Being
> +aware of such discussions can help you avoid duplicating work and may
> +allow you to coordinate with other contributors working in the same
> +area.
> +

This seems useful to cite. It seems less useful for people who go to the
effort of reading this file themselves. They presumably care enough to
try to get the procedural steps correct. It’s difficult to imagine that
they either think that their idea has to be unique or that there isn’t a
history.

>  . You get comments and suggestions for improvements.  You may even get
>    them in an "on top of your change" patch form.  You are expected to
>    respond to them with "Reply-All" on the mailing list, while taking
>    them into account while preparing an updated set of patches.
> ++
> +It is often beneficial to allow some time for reviewers to provide
> +feedback before sending a new version, rather than sending an updated
> +series immediately after receiving a review. This helps collect broader
> +input and avoids unnecessary churn from many rapid iterations.

This addition makes sense including its placement.

>
>  . Polish, refine, and re-send your patches to the list and to the people
>    who spent their time to improve your patch.  Go back to step (2).
>
> base-commit: 628a66ccf68d141d57d06e100c3514a54b31d6b7
> --
> 2.53.0.381.g628a66ccf6